Subject: Re: libfdt: Seval cleanups to parameter checking (v3)

From: Jon Loeliger <[email-masked]>
Date: Thu, 29 May 2008 08:19:19 -0500

> Subject: Re: libfdt: Seval cleanups to parameter checking (v3) 

Please put the "(v3)" in brackets at the begining of the Subject:.

> This patch makes a couple of small cleanups to parameter checking of
> libfdt functions.
> 
> 	- In several functions which take a node offset, we use an
> idiom involving fdt_next_tag() first to check that we have indeed been
> given a node offset.  This patch adds a helper function
> _fdt_check_node_offset() to encapsulate this usage of fdt_next_tag().
> 
> 	- In fdt_rw.c in several places we have the expanded version
> of the RW_CHECK_HEADER() macro for no particular reason.  This patch
> replaces those instances with an invocation of the macro; that's what
> it's for.
> 
> 	- In fdt_sw.c we rename the check_header_sw() function to
> sw_check_header() to match the analgous function in fdt_rw.c, and we
> provide an SW_CHECK_HEADER() wrapper macro as RW_CHECK_HEADER()
> functions in fdt_rw.c
> 
> Signed-off-by: David Gibson <[email-masked]>

Applied.

jdl